import request from '@/utils/httpRequest'
import { PUBLIC_MODULES_PATH as prefix } from "../AppPath";

export default class SerialnumTplService {
  list (param) {
    return request({
      url: prefix + `/sys/template/list`,
      method: 'get',
      params: param
    })
  }

  remove (url) {
    return request({
      url: prefix + '/sys/template/remove',
      method: 'get',
      params: {id: url}
    })
  }

  findById (id) {
    return request({
      url: prefix + '/sys/template/findById',
      method: 'get',
      params: {id: id}
    })
  }

  save (param) {
    return request({
      url: prefix + '/sys/template/save',
      method: 'post',
      data: param
    })
  }
}
